//
//  HttpRequestType.swift
//  Sailassist
//
//  Created by 三浦薫巳 on 2023/10/27.
//

import Foundation

// TODO: サイトのアドレスを変更
#if DEBUG
//MARK: デバッグサーバー用
enum HttpRequestType : String {
    case RegisterLogin = "https://ssv-canary-web.azurewebsites.net/sailassistlogin"
    case SitePolicy = "https://ssv-canary-web.azurewebsites.net/sitepolicy"
    case CookiePolicy = "https://ssv-canary-web.azurewebsites.net/cookiepolicy"
    case PrivacyPolicy = "https://ssv-canary-web.azurewebsites.net/inapp?"  //+バージョン番号
    case TaskList = "https://ssv-canary-web.azurewebsites.net/api/sailassist/tasklist/XXXXX"
    case EcaArea = "https://ssv-canary-web.azurewebsites.net/api/sailassist/ecaarea"
    case ShipStatus = "https://ssv-canary-web.azurewebsites.net/api/sailassist/shipstatus/XXXXX"
    case ShipMonitoringRoute = "https://ssv-canary-web.azurewebsites.net/api/sailassist/shipmonitoringroute/XXXXX"
    case GetMessage = "https://ssv-canary-web.azurewebsites.net/api/chatdata/getmessages?shipId=XXXXX"
    case SignalR = "https://ssv-canary-web.azurewebsites.net/signalr/shore"
    case UploadImage = "https://ssv-canary-web.azurewebsites.net/api/chatdata/uploadimage"
}
#else
//MARK: 運用サーバー用
enum HttpRequestType : String {
    case RegisterLogin = "https://ssv.jmarinecloud.com/applogin"
    case SitePolicy = "https://ssv.jmarinecloud.com/sitepolicy"
    case CookiePolicy = "https://ssv.jmarinecloud.com/cookiepolicy"
    case PrivacyPolicy = "https://ssv.jmarinecloud.com/inapp?"
}
#endif
